# Generated from plissken-3.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name plissken

Name: rubygem-%{gem_name}
Version: 3.0.0
Release: 1%{?dist}
Summary: Snakify your camel keys when working with JSON APIs
License: MIT
URL: https://github.com/technicalpanda/plissken
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0
BuildArch: noarch

%description
Have you ever needed to automatically convert JSON-style camelBack or
CamelCase hash keys into more Rubyish snake_case?
Plissken to the rescue.
This gem recursively converts all camelBack or CamelCase keys in a hash
structure to snake_case.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon May 06 2024 mockbuilder - 3.0.0-1
- Initial package
